summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Petar Petrov2019-08-03 01:45:29 +0200
committer Willy Sudiarto Raharjo2019-08-03 01:45:29 +0200
commit3a6cdee564c2e58157112dede91ad2e69406139b (patch)
treed2a6901f0e80863fa0e75fbd5e536830db29f2dc /academic
parent70cfe3be3f6e3d846459348be614e9b4bc9a621b (diff)
downloadslackbuilds-3a6cdee564c2e58157112dede91ad2e69406139b.tar.gz
academic/MetaPhlAn2: Added (Metagenomic Phylogenetic Analysis).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'academic')
-rwxr-xr-xacademic/MetaPhlAn2/MetaPhlAn2.SlackBuild92
-rw-r--r--academic/MetaPhlAn2/MetaPhlAn2.info10
-rw-r--r--academic/MetaPhlAn2/README36
-rw-r--r--academic/MetaPhlAn2/References7
-rw-r--r--academic/MetaPhlAn2/slack-desc19
5 files changed, 164 insertions, 0 deletions
diff --git a/academic/MetaPhlAn2/MetaPhlAn2.SlackBuild b/academic/MetaPhlAn2/MetaPhlAn2.SlackBuild
new file mode 100755
index 0000000000..a7755d252a
--- /dev/null
+++ b/academic/MetaPhlAn2/MetaPhlAn2.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# Slackware build script for MetaPhlAn2
+
+# Copyright 2019 Petar Petrov slackalaxy@gmail.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=MetaPhlAn2
+VERSION=${VERSION:-2.9.15}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=metaphlan2
+AUTHOR=biobakery
+COMMIT=8f88d3957418
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+ARCH=noarch
+
+set -e
+
+# Construct the source tarball name.
+if [ -e $CWD/$COMMIT.tar.gz ]; then
+ TARBALL=${COMMIT}
+else
+ TARBALL=${AUTHOR}-${SRCNAM}-${COMMIT}
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${AUTHOR}-${SRCNAM}-${COMMIT}
+tar xvf $CWD/$TARBALL.tar.gz
+cd ${AUTHOR}-${SRCNAM}-${COMMIT}
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/$PRGNAM
+cp -a \
+ *.py utils strainphlan_src \
+ $PKG/usr/share/$PRGNAM
+
+mkdir $PKG/usr/bin
+cd $PKG/usr/bin
+ln -s ../share/$PRGNAM/metaphlan2.py
+ln -s ../share/$PRGNAM/strainphlan.py
+cd -
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README.md changeset.txt license.txt strainphlan_tutorial \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/References > $PKG/usr/doc/$PRGNAM-$VERSION/References
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/MetaPhlAn2/MetaPhlAn2.info b/academic/MetaPhlAn2/MetaPhlAn2.info
new file mode 100644
index 0000000000..930e34a02e
--- /dev/null
+++ b/academic/MetaPhlAn2/MetaPhlAn2.info
@@ -0,0 +1,10 @@
+PRGNAM="MetaPhlAn2"
+VERSION="2.9.15"
+HOMEPAGE="http://huttenhower.sph.harvard.edu/metaphlan2"
+DOWNLOAD="https://bitbucket.org/biobakery/metaphlan2/get/8f88d3957418.tar.gz"
+MD5SUM="f471b6b2a4d49b3cb5c12a7e2ecc8714"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="pysam biopython msgpack-python pandas scipy DendroPy bowtie2 muscle samtools-legacy bcftools ncbi-blast+ RAxML"
+MAINTAINER="Petar Petrov"
+EMAIL="slackalaxy@gmail.com"
diff --git a/academic/MetaPhlAn2/README b/academic/MetaPhlAn2/README
new file mode 100644
index 0000000000..15d1bc4265
--- /dev/null
+++ b/academic/MetaPhlAn2/README
@@ -0,0 +1,36 @@
+MetaPhlAn2 is a computational tool for profiling the composition of
+microbial communities (Bacteria, Archaea and Eukaryotes) from meta-
+genomic shotgun sequencing data (i.e. not 16S) with species-level.
+
+With the newly added StrainPhlAn module, it is now possible to perform
+accurate strain-level microbial profiling. MetaPhlAn2 relies on ~1.5M
+unique clade-specific marker genes. The latest marker information file
+`mpa_v29_CHOCOPhlAn_201901_marker_info.txt.bz2` can be found in the
+Download page (https://bitbucket.org/biobakery/metaphlan2/downloads/)
+identified from ~100,000 reference genomes (~99,500 bacterial and
+archaeal and ~500 eukaryotic), allowing:
+
+* unambiguous taxonomic assignments;
+* accurate estimation of organismal relative abundance;
+* species-level resolution for bacteria, archaea, eukaryotes and viruses;
+* strain identification and tracking
+* orders of magnitude speedups compared to existing methods.
+* metagenomic strain-level population genomics
+
+If you use MetaPhlAn2, please cite:
+MetaPhlAn2 for enhanced metagenomic taxonomic profiling. Duy Tin Truong,
+Eric A Franzosa, Timothy L Tickle, Matthias Scholz, George Weingart,
+Edoardo Pasolli, Adrian Tett, Curtis Huttenhower & Nicola Segata. Nature
+Methods 12, 902-903 (2015)
+
+If you use StrainPhlAn, please cite the MetaPhlAn2 paper and the
+following StrainPhlAn paper:
+Microbial strain-level population structure and genetic diversity from
+metagenomes. Duy Tin Truong, Adrian Tett, Edoardo Pasolli, Curtis
+Huttenhower, & Nicola Segata. Genome Research 27:626-638 (2017)
+
+NOTE!
+The script places the python files in /usr/share/MetaPhlAn2 and creates
+symlinks to /usr/bin. If you are using metaphlan2.py with Ugene, it may
+not work with the symlink. Instead, just point Ugene directly to
+/usr/share/MetaPhlAn2/metaphlan2.py
diff --git a/academic/MetaPhlAn2/References b/academic/MetaPhlAn2/References
new file mode 100644
index 0000000000..5e3629e893
--- /dev/null
+++ b/academic/MetaPhlAn2/References
@@ -0,0 +1,7 @@
+If you use MetaPhlAn2, please cite:
+
+[**MetaPhlAn2 for enhanced metagenomic taxonomic profiling.**](http://www.nature.com/nmeth/journal/v12/n10/pdf/nmeth.3589.pdf) *Duy Tin Truong, Eric A Franzosa, Timothy L Tickle, Matthias Scholz, George Weingart, Edoardo Pasolli, Adrian Tett, Curtis Huttenhower & Nicola Segata*. Nature Methods 12, 902-903 (2015)
+
+If you use StrainPhlAn, please cite the MetaPhlAn2 paper and the following StrainPhlAn paper:
+
+[**Microbial strain-level population structure and genetic diversity from metagenomes.**](http://genome.cshlp.org/content/27/4/626.full.pdf) *Duy Tin Truong, Adrian Tett, Edoardo Pasolli, Curtis Huttenhower, & Nicola Segata*. Genome Research 27:626-638 (2017)
diff --git a/academic/MetaPhlAn2/slack-desc b/academic/MetaPhlAn2/slack-desc
new file mode 100644
index 0000000000..3f6ccd01df
--- /dev/null
+++ b/academic/MetaPhlAn2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+MetaPhlAn2: MetaPhlAn2 (Metagenomic Phylogenetic Analysis)
+MetaPhlAn2:
+MetaPhlAn2: MetaPhlAn is a computational tool for profiling the composition of
+MetaPhlAn2: microbial communities from metagenomic shotgun sequencing data.
+MetaPhlAn2: MetaPhlAn relies on unique clade-specific marker genes identified
+MetaPhlAn2: from ~17,000 reference genomes (~13,500 bacterial and archaeal,
+MetaPhlAn2: ~3,500 viral, and ~110 eukaryotic).
+MetaPhlAn2:
+MetaPhlAn2: http://huttenhower.sph.harvard.edu/metaphlan2
+MetaPhlAn2: https://bitbucket.org/biobakery/metaphlan2/
+MetaPhlAn2: